Description: Care kfreebsd-i386, kfreebsd-amd64, and hurd-i386
Author: NIIBE Yutaka <gniibe@fsij.org>
Reviewed-By: NIIBE Yutaka <gniibe@fsij.org>
Last-Update: 2010-04-07

--- gauche-c-wrapper-0.6.1.orig/configure.ac	2009-08-08 23:44:52.000000000 +0900
+++ gauche-c-wrapper-0.6.1/configure.ac	2010-04-02 13:48:58.000000000 +0900
@@ -98,6 +98,12 @@
             LDCONFIG_CMD="$LDCONFIG -p | $SED -n '/^	/s/^.*=> //p'"
         fi
         ;;
+    *-*-gnu*|*-*-kfreebsd*-gnu)
+        CPPFLAGS="$CPPFLAGS -D_GNU_SOURCE"
+        if test "X$LDCONFIG" != "X" -a "X$SED" != "X"; then
+            LDCONFIG_CMD="$LDCONFIG -p | $SED -n '/^	/s/^.*=> //p'"
+        fi
+        ;;
     *freebsd*)
         if test "X$LDCONFIG" != "X" -a "X$SED" != "X"; then
             LDCONFIG_CMD="$LDCONFIG -r | $SED -n '/^	/s/^.*=> //p'"
